Skip to main content

Wallet Balance Query V2

API used to query one or more wallet balance.

EndPoint​

POST /binancepay/openapi/v2/balance

Request Parameters​

AttributesTypeRequiredLimitationDescription
walletstringYEnum stringBinance wallet to query, currently supported enum valus:

FUNDING_WALLET
SPOT_WALLET
currencystringNValid currency, must be in uppercaseCurrency to query, for e.g, "USDC","USDT" & "BNB". If no currency was sent, return all assets.

Sample Request Body​

{
"wallet": "SPOT_WALLET",
"currency": "USDT"
}

Response Parameters​

AttributesTypeRequiredLimitationDescription
statusstringY"SUCCESS" or "FAIL"status of the API request
codestringY-request result code, refer to
dataAssetQueryRespV2N-response body, refer to
errorMessagestringNmaximum length 256

Child Attribute​

AssetQueryRespV2​

AttributesTypeRequiredLimitationDescription
balanceAssetQueryDataNCurrency data, refer to
walletstringYWallet that contains the currencies
updateTimestringYUpdate time of the data
fiatstringYFiat name, for fiat valuation

AssetQueryData​

AttributesTypeRequiredLimitationDescription
availabledecimalYAmount Range: 0.00000001 - 999999999999999.99999999; Max Unit Range: 8 decimal placesCurrent balance free to use
freezedecimalYAmount Range: 0.00000001 - 999999999999999.99999999; Max Unit Range: 8 decimal placesCurrent balance frozen
assetstringYAsset/currency name
availableFiatValuationdecimalYAmount Range: 0.00000001 - 999999999999999.99999999; Max Unit Range: 8 decimal placesAvailable fiat valuation
availableBtcValuationdecimalYAmount Range: 0.00000001 - 999999999999999.99999999; Max Unit Range: 8 decimal placesAvailable BTC valuation

Sample Response​

{
"status": "SUCCESS",
"code": "000000",
"data": {
"balance": [
{
"available": 990000.00000000,
"freeze": 0E-8,
"asset": "USDT",
"availableFiatValuation": 989991.90516600,
"availableBtcValuation": 22.98780000
}
],
"wallet": "FUNDING_WALLET",
"updateTime": 1666937353019,
"fiat": "USD"
}
}
{
"status": "FAIL",
"code": "400003",
"errorMessage": "Timestamp for this request is outside of the recvWindow."
}

Result Code​

NameCodeReasonSolution
UNKNOWN_ERROR400000An unknown error occurred while processing the request.Try again later
INVALID_REQUEST400001Parameter format is wrong or parameter transferring doesn't follow the rules.Please check whether the parameters are correct.
INVALID_SIGNATURE400002Incorrect signature resultCheck whether the signature parameter and method comply with signature algorithm requirements.
INVALID_TIMESTAMP400003Timestamp for this request is outside of the time window.Sync server clock
INVALID_API_KEY_OR_IP400004API identity key not found or invalid.Check API identity key
BAD_API_KEY_FMT400005API identity key format invalid.Check API identity key.
BAD_HTTP_METHOD400006Request method not supported.Check Request method.
MEDIA_TYPE_NOT_SUPPORTED400007Media type not supported.Check Request Media type.
INVALID_REQUEST_BODY400008Request body is not a valid json object.Check Request body
MANDATORY_PARAM_EMPTY_OR_MALFORMED400100A parameter was missing/empty/null, or malformed.
INVALID_PARAM_WRONG_LENGTH400101A parameter was not valid, was empty/null, or too long/short, or wrong format.
INVALID_PARAM_WRONG_VALUE400102A parameter was not valid, the value is out of range.
INVALID_PARAM_ILLEGAL_CHAR400103A parameter was not valid, contains illegal characters
INVALID_REQUEST_TOO_LARGE400104Invalid request, content length too large